#pragma once
#include <string>
#include "BaseEnumeration.h"
#ifdef STARFLEETTOOLBOX_EXPORTS
#define AVAILRESOL __declspec(dllexport)
#else
#define AVAILRESOL __declspec(dllimport)
#endif
using namespace std;
class AVAILRESOL AvailableResolution
{
public:
	SensorResolutionFrequencyEnum GetCode();
	void SetCode(SensorResolutionFrequencyEnum resolutionCode);

	string GetName();
	void SetName(string resolutionName);

private:
	SensorResolutionFrequencyEnum _resolutionCode;
	string _resolutionName;
};

